%global gem_name escape_utils

Summary: Faster string escaping routines for your web apps
Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/brianmario/escape_utils
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: ruby >= 1.9.3
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
Provides: rubygem(%{gem_name}) = %{version}

%description
Quickly perform HTML, URL, URI and Javascript escaping/unescaping.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gitignore
%{gem_instdir}/.travis.yml
%{gem_instdir}/*gemspec
%{gem_instdir}/Gemfile*
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/benchmark
%{gem_instdir}/script
%{gem_instdir}/test

%changelog
* Wed Jun 19 2019 Satoe Imaishi <simaishi@redhat.com> - 1.2.1-1
- Initial Build
